//-------------------- 右键菜单演示 ------------------------//
chrome.runtime.onInstalled.addListener(() => {
	chrome.contextMenus.create({
		id: 'beahu',
		title: "抓取商品至 beahu"
	});
});

chrome.contextMenus.onClicked.addListener(function (info, tab) {
	sendMessage2Content();
});

function sendMessage2Content() {
	chrome.tabs.query({
		active: true,
		currentWindow: true
	}, function (tabs) {
		chrome.tabs.sendMessage(tabs[0].id, {
			greeting: "clickMenu"
		}, function (response) {//content的回调
			// alert(response.farewell)
		});
	});
}

chrome.runtime.onMessage.addListener((message, sender, sendResponse) => {
	if (message === 'get-beahu-auth') {
		chrome.cookies.getAll({ domain: 'app.beahu.com' }, function (cookies) {
			for (let i = 0; i < cookies.length; i++) {
				const cookie = cookies[i];
				if (cookie.name == 'token') {
					const auth = {
						token: cookie.value
					};

					sendResponse(auth);
					return;
				}
			}

			sendResponse(null);
		});

		return true;
	}
});
